default:
  image: node:latest
stages:
  - deploy

pages:
  stage: deploy
  script:
    - npm install
    - npm run build
    - rm -rf public
    - mv dist public
  artifacts:
    paths:
      - public
    expire_in: 1 day
  only:
    - master
